<style>
    table.table td {
        padding-top: 0.1rem;
        padding-bottom: 0.3rem;
    }
    .labelText{margin:10px 0;display:block;}
    .title4{margin:15px 0;position:absolute;top:-50px;padding:0 15px;background-color:#fff}
    .box{border:1px solid rgba(76, 76, 76, 0.21);margin:45px 15px 15px;padding:20px 0px;position:relative;border-radius:5px;width:100%}
    .MLR{margin:0 1px}


    .modal-body{
        max-height: calc(100vh - 200px);
        overflow-y: auto;
    }


</style>
<br>
<div class="container">
    <br>
    <div class="container">
        <div>
            <app-company-lesser-header></app-company-lesser-header>
        </div>
        <app-vehicle-coporate-association-header></app-vehicle-coporate-association-header>

        <br>

        <div class="row">
    <span class="col-9" style="float: left">
      <button type="button" class="btn btn-primary" data-toggle="modal"
              (click)="getFormIncialConfig()" data-target="#add">Add Corporate Contract
      </button>
    </span>
            <span class="col-3 pull-right" >
      <div class="input-group">
       <input name="term" [(ngModel)]="term"  class="form-control" placeholder="Search company">
      </div>
    </span>
        </div>
        <br>

    </div>
<br>
<div class="container">



<div class="row">
    <table class="table table-bordered">
        <thead>
        <tr>
            <th>Company Name</th>
            <th>Vehicle Type</th>
            <th>Min Days Per Month</th>
            <th>Min KMs Per Month</th>
            <th>Fixed Amount</th>
            <th>Rate Per KM</th>
            <th>Rate Per Day</th>
            <th>Agreement Start Date</th>
            <th>Agreement End Date</th>
            <th>EDIT</th>
            <th>DELETE</th>
        </tr>
        </thead>
        <tbody>
        <tr *ngFor="let corporateContract of corporateContractDetailsList | grdFilter: {companySelectedForDropDown: term};">
            <td>{{corporateContract.companySelectedForDropDown}}</td>
            <td >{{corporateContract.vehicleType}}</td>
            <td>{{corporateContract.minDaysPerMonth}}</td>
            <td>{{corporateContract.minKMsPerMonth}}</td>
            <td>{{corporateContract.fixedAmount}}</td>
            <td>{{corporateContract.ratePerKM}}</td>
            <td>{{corporateContract.ratePerDay}}</td>
            <td>{{corporateContract.agreementStartDate | date}}</td>
            <td>{{corporateContract.agreementEndDate | date}}</td>
            <td>
                <button type="button" class="btn btn-primary" data-toggle="modal"
                        (click)="editCorporateContract(corporateContract)" data-target="#editConfig">Edit
                </button>
            </td>
            <td>
                <button type="button" class="btn btn-primary" data-toggle="modal" data-target="#deleteModal"
                        (click)="intermerdiateDeleteTranasaction(corporateContract)">Delete
                </button>
            </td>

        </tr>
        </tbody>
    </table>
</div>
    <div class="col-md-12  col-sm-12 d-flex justify-content-center" style="margin-top: 10px" *ngIf="pagination.totalPageCount>0">
        <ngb-pagination class="d-flex justify-content-center "
                        [collectionSize]="pagination.totalPageCount"
                        [(page)]="pagination.currentPage" [maxSize]="3"
                        [rotate]="true"
                        [boundaryLinks]="true"
                        (pageChange)="getDataByPageNo($event)"
                        [pageSize]="pagination.recordsPerPage"
                        aria-label="Default pagination">

        </ngb-pagination>
    </div>
</div>

<!-- Modal -->
<div id="add" class="modal fade right" role="dialog">
  <div class="modal-dialog modal-lg  form-modal">

    <!-- Modal content-->
    <div class="modal-content">
      <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" (click)="getFromCleanUpDetails()" >&times;</button>
        <h4 class="modal-title">ASSOICATE COPORATE CONTRACT</h4>
      </div>
      <div class="modal-body">
          <div class="row">
              <div class="col-sm-4">

                  <label class="text-capitalize">Select Company<span style="color:red">*</span></label>
                  <ng-multiselect-dropdown
                          [placeholder]="'Select Company'"
                          [data]="companyAssetDropDown"
                          [(ngModel)]="companySelected"
                          [settings]="companyDropdownSettings">
                  </ng-multiselect-dropdown>
              </div>

              <div class="col-sm-4">
                  <label class="text-capitalize">Agreement Start Date<span style="color:red">*</span></label>
                  <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                         [(ngModel)]="corporateContractDetails.agreementStartDate">
              </div>
              <div class="col-sm-4">
                  <label class="text-capitalize">Agreement End Date<span style="color:red">*</span></label>
                  <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp2" id="dp2" #dp="ngModel"
                         [(ngModel)]="corporateContractDetails.agreementEndDate">
              </div>
          </div>
          <br>
          <br>


          <div class="row card">
                  <h3 class="card-header text-center font-weight-bold text-uppercase py-4">Configuration Entry</h3>
                  <div class="card-body">
                      <div id="table" class="table-editable">
                          <table class="table table-bordered table-responsive-md table-striped text-center">
                              <tr>
                                  <th class="text-center">Vehicle Type</th>
                                  <th class="text-center">Min Days Per Month</th>
                                  <th class="text-center">Min KMs Per Month</th>
                                  <th class="text-center">Fixed Amount</th>
                                  <th class="text-center">Rate Per KM</th>
                                  <th class="text-center">Rate Per Day</th>
                                  <th class="text-center">Save</th>
                              </tr>
                              <tr *ngFor="let vehicleConfig of vehicleConfigList; let id = index">
                                  <td contenteditable="true" (keyup)="changeValue(id, 'vehicleType', $event)" (blur)="updateList(id, 'vehicleType', $event)">{{vehicleConfig.vehicleType}}</td>
                                  <td contenteditable="true" (keyup)="changeValue(id, 'minDaysPerMonth', $event)" (blur)="updateList(id, 'minDaysPerMonth', $event)">{{vehicleConfig.minDaysPerMonth}}</td>
                                  <td contenteditable="true" (keyup)="changeValue(id, 'minKMsPerMonth', $event)" (blur)="updateList(id, 'minKMsPerMonth', $event)">{{vehicleConfig.minKMsPerMonth}}</td>
                                  <td contenteditable="true" (keyup)="changeValue(id, 'fixedAmount', $event)" (blur)="updateList(id, 'fixedAmount', $event)">{{vehicleConfig.fixedAmount}}</td>
                                  <td contenteditable="true" (keyup)="changeValue(id, 'ratePerKM', $event)" (blur)="updateList(id, 'ratePerKM', $event)">{{vehicleConfig.ratePerKM}}</td>
                                  <td contenteditable="true" (keyup)="changeValue(id, 'ratePerDay', $event)" (blur)="updateList(id, 'ratePerDay', $event)">{{vehicleConfig.ratePerDay}}</td>
                                  <td contenteditable="true" (click)="saveCorporateContract(vehicleConfig)"
                                      type="button" class="btn btn-default">Save</td>
                              </tr>
                          </table>
                      </div>
                  </div>
          </div>


      </div>
      <div class="modal-footer">
        <!--<button type="button" class="btn btn-default" data-dismiss="modal"   (click)="submitVehicleCorporateContractDetails()" >Submit</button>-->
        <button type="button" class="btn  btn-warning" data-dismiss="modal" (click)="getFromCleanUpDetails()">Close</button>
      </div>
    </div>

  </div>
</div>

    <!-- Modal -->
<div id="editConfig" class="modal fade right" role="dialog">
        <div class="modal-dialog modal-lg  form-modal">
            <!-- Modal content-->
            <div class="modal-content">
                <div class="modal-header">
                    <button type="button" class="close" data-dismiss="modal" (click)="getFromSetUpDetails();">&times;</button>
                    <h4 class="modal-title">ASSOICATE COPORATE CONTRACT</h4>
                </div>
                <div class="modal-body">
                    <div class="row" >

                        <div class="col-sm-6">
                            <label class="text-capitalize">Company Name<span style="color:red">*</span></label>
                            <input type="text" class="form-control" readonly
                                   [(ngModel)]="formConfigData.companySelectedForDropDown">
                        </div>
                        <div class="col-sm-6">
                            <label class="text-capitalize">Vehicle Type<span style="color:red">*</span></label>
                            <input type="text" class="form-control" readonly
                                   [(ngModel)]="formConfigData.vehicleType">
                        </div>

                    </div>

                    <br>

                    <div class="row" >
                        <div class="col-sm-6">
                            <label class="text-capitalize">Agreement Start Date<span style="color:red">*</span></label>
                            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp1" id="dp1" #dp="ngModel"
                                   [(ngModel)]="formConfigData.agreementStartDate">
                        </div>
                        <div class="col-sm-6">
                            <label class="text-capitalize">Agreement End Date<span style="color:red">*</span></label>
                            <input type="date" class="form-control" placeholder="yyyy-mm-dd"  name="dp2" id="dp2" #dp="ngModel"
                                   [(ngModel)]="formConfigData.agreementEndDate">
                        </div>

                    </div>

                    <br>
                    <br>

                    <div class="row">
                        <div class="box clearfix">
                            <div class="col-sm-12">
                                <h3 class="title4">Corporate Contract</h3>
                            </div>
                            <div class="row MLR">
                                <div class="col-sm-12">
                                    <div class="row" *ngIf="corporateContractFields">
                                        <div class="form-group py-2 col-sm-6 col-md-6 col-lg-6 .col-xl-6"  *ngFor="let field of corporateContractFields">
                                            <div   *ngIf=" field.configurationType==='configuration' && field.field!=='vehicleType'&& !field.isDriverCostField ">
                                                <div *ngIf=" field.fieldDisplayType==='number' ">
                                                    <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                                                    <input type="number" class="form-control" placeholder={{field.description}} name=field.label
                                                           [(ngModel)]="formConfigData[field.field]" required>
                                                </div>


                                                <div *ngIf="field.required  && field.fieldDisplayType==='text' ">
                                                    <label class="text-capitalize">{{field.label}}<span style="color:red">*</span></label>
                                                    <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                                                           [(ngModel)]="formConfigData[field.field]" required>
                                                </div>
                                                <div *ngIf="!field.required  && field.fieldDisplayType==='text'">
                                                    <label class="text-capitalize">{{field.label}}</label>
                                                    <input type="field.type" class="form-control" placeholder={{field.description}} name=field.label
                                                           [(ngModel)]="formConfigData[field.field]">
                                                </div>
                                            </div>
                                            <div *ngIf="field.field!=='corporateContract' && field.fieldDisplayType==='dropDown' ">
                                                <div class="text-capitalize">{{field.label}}</div>
                                                <select [(ngModel)]="formConfigData[field.field]" id="category" class="form-control">
                                                    <option  *ngFor="let value of field.value.dropDownValues">{{value}}</option>
                                                </select>
                                            </div>

                                            <div *ngIf="field.fieldDisplayType==='textarea' ">
                                                <div class="form-group">
                                                    <label class="text-capitalize">{{field.label}}</label>
                                                    <textarea class="form-control" rows="3" [(ngModel)]="formConfigData[field.field]"  ></textarea>
                                                </div>
                                            </div>

                                            <div *ngIf="field.fieldDisplayType==='date'">
                                                <label class="text-capitalize fontMedium">{{field.label}}</label>
                                                <form class="form-inline">
                                                    <div class="form-group">
                                                        <div class="input-group">
                                                            <input class="form-control" placeholder="yyyy-mm-dd"
                                                                   name="dp" [(ngModel)]="formConfigData[field.field]" ngbDatepicker #d="ngbDatepicker">
                                                            <div class="input-group-append">
                                                                <button class="" (click)="d.toggle()" type="button"><i class="fa fa-calendar-check-o"
                                                                                                                       aria-hidden="true"></i>
                                                                </button>
                                                            </div>
                                                        </div>
                                                    </div>
                                                </form>
                                            </div>

                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="modal-footer" >
                        <button type="button" class="btn btn-default" data-dismiss="modal"   (click)="updateVehicleCorporateContractDetails()" >Update</button>
                        <button type="button" class="btn  btn-warning" data-dismiss="modal" (click)="getFromSetUpDetails()">Close</button>
                    </div>
                </div>


            </div>

        </div>
    </div>
</div>
<!-- The Modal -->
<div class="modal" id="deleteModal">
    <div class="modal-dialog">
        <div class="modal-content">

            <!-- Modal Header -->
            <div class="modal-header">
                <h4 class="modal-title">Delete Conformation</h4>
                <button type="button" class="close" data-dismiss="modal">&times;</button>
            </div>

            <!-- Modal body -->
            <div class="modal-body">
                Are you sure u want to delete Contract
            </div>

            <!-- Modal footer -->
            <div class="modal-footer">
                <button type="button" class="btn btn-danger" data-dismiss="modal"  (click)="deleteExpenseDetails(deleteTransactionData)">Delete</button>
                <button type="button" class="btn btn-warning" data-dismiss="modal">Close</button>
            </div>

        </div>
    </div>
</div>